summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFlorian Schmaus <flow@gentoo.org>2024-04-30 10:51:25 +0200
committerFlorian Schmaus <flow@gentoo.org>2024-04-30 10:51:39 +0200
commit3712036188bab4a9c8cbb5734879a8f573a31b3e (patch)
treef29fb5f69c9b33aa1a10af35bbd77cebdc400409
parenttexlive-common.eclass: sync (diff)
downloadtex-overlay-3712036188bab4a9c8cbb5734879a8f573a31b3e.tar.gz
tex-overlay-3712036188bab4a9c8cbb5734879a8f573a31b3e.tar.bz2
tex-overlay-3712036188bab4a9c8cbb5734879a8f573a31b3e.zip
texlive-module.eclass: install man pages in right location
The TeX Live packages under dev-texlive/* currently do not install the man pages in the right location. They are under /usr/share/texmf-dist/doc/man. Install them at the right location using doman. Signed-off-by: Florian Schmaus <flow@gentoo.org>
-rw-r--r--eclass/texlive-module.eclass12
1 files changed, 11 insertions, 1 deletions
diff --git a/eclass/texlive-module.eclass b/eclass/texlive-module.eclass
index 401b75b..11d869a 100644
--- a/eclass/texlive-module.eclass
+++ b/eclass/texlive-module.eclass
@@ -79,7 +79,7 @@ esac
if [[ -z ${_TEXLIVE_MODULE_ECLASS} ]]; then
_TEXLIVE_MODULE_ECLASS=1
-inherit texlive-common
+inherit estack texlive-common
HOMEPAGE="https://www.tug.org/texlive/"
@@ -359,6 +359,16 @@ texlive-module_src_install() {
if [[ -d texmf-doc ]]; then
cp -pR texmf-doc "${ED}/usr/share/" || die
fi
+
+ if ver_test -ge 2023 && [[ ${CATEGORY} == dev-texlive ]]; then
+ eshopts_push -s nullglob
+ local man_page
+ for man_page in texmf-dist/doc/man/man[1-8]/*.[1-8]; do
+ doman "${man_page}"
+ rm "${man_page}" || die
+ done
+ eshopts_pop
+ fi
else
if [[ -d texmf-dist/doc ]]; then
rm -rf texmf-dist/doc || die